Bug 14718 - Samba documentation - samba utility smbcacls
Summary: Samba documentation - samba utility smbcacls
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 4.14.3
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba Documentation QA Contact~
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-25 12:15 UTC by Pavel Fiipenský
Modified: 2021-06-01 07:25 UTC (History)
3 users (show)

See Also:


Attachments
patch for v4-14 (4.36 KB, patch)
2021-05-25 13:22 UTC, Pavel Fiipenský
asn: review+
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Fiipenský 2021-05-25 12:15:30 UTC
Samba utility smbcacls reports Windows ACLs. However, some of its output is not explained or documented in the man page.

Specifically:

1. Flags like "OI", "I", etc., for users/groups.
2. Line "Control" reports flags like "OD", "PD", etc.
Comment 1 Pavel Fiipenský 2021-05-25 13:22:47 UTC
Created attachment 16627 [details]
patch for v4-14
Comment 2 Alexander Bokovoy 2021-05-25 17:46:01 UTC
Comment on attachment 16627 [details]
patch for v4-14

LGTM
Comment 3 Andreas Schneider 2021-05-26 04:42:47 UTC
Karolin, please apply the patch to 4.14. Thanks!
Comment 4 Karolin Seeger 2021-05-26 10:57:05 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-14-test.
Comment 5 Samba QA Contact 2021-05-26 12:46:20 UTC
This bug was referenced in samba v4-14-test:

46cf8514c76eb32b51a41c13fe461739c995839a
Comment 6 Karolin Seeger 2021-05-27 09:22:15 UTC
Closing out bug report.

Thanks!
Comment 7 Samba QA Contact 2021-06-01 07:25:51 UTC
This bug was referenced in samba v4-14-stable (Release samba-4.14.5):

46cf8514c76eb32b51a41c13fe461739c995839a